OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.SecondaryColor

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_secondary_color extension, see http://www.opengl.org/registry/specs/EXT/secondary_color.txt.

Synopsis

- glSecondaryColor3b :: GLbyte -> GLbyte -> GLbyte -> IO ()
- glSecondaryColor3s :: GLshort -> GLshort -> GLshort -> IO ()
- glSecondaryColor3i :: GLint -> GLint -> GLint -> IO ()
- glSecondaryColor3f :: GLfloat -> GLfloat -> GLfloat -> IO ()
- glSecondaryColor3d :: GLdouble -> GLdouble -> GLdouble -> IO ()
- glSecondaryColor3ub :: GLubyte -> GLubyte -> GLubyte -> IO ()
- glSecondaryColor3us :: GLushort -> GLushort -> GLushort -> IO ()
- glSecondaryColor3ui :: GLuint -> GLuint -> GLuint -> IO ()
- glSecondaryColor3bv :: Ptr GLbyte -> IO ()
- glSecondaryColor3sv :: Ptr GLshort -> IO ()
- glSecondaryColor3iv :: Ptr GLint -> IO ()
- glSecondaryColor3fv :: Ptr GLfloat -> IO ()
- glSecondaryColor3dv :: Ptr GLdouble -> IO ()
- glSecondaryColor3ubv :: Ptr GLubyte -> IO ()
- glSecondaryColor3usv :: Ptr GLushort -> IO ()
- glSecondaryColor3uiv :: Ptr GLuint -> IO ()
- glSecondaryColorPointer :: GLint -> GLenum -> GLsizei -> Ptr a -> IO ()
- gl_COLOR_SUM :: GLenum
- gl_CURRENT_SECONDARY_COLOR :: GLenum
- gl_SECONDARY_COLOR_ARRAY_SIZE :: GLenum
- gl_SECONDARY_COLOR_ARRAY_TYPE :: GLenum
- gl_SECONDARY_COLOR_ARRAY_STRIDE :: GLenum
- gl_SECONDARY_COLOR_ARRAY_POINTER :: GLenum
- gl_SECONDARY_COLOR_ARRAY :: GLenum

# Functions

glSecondaryColor3b :: GLbyte -> GLbyte -> GLbyte -> IO ()

glSecondaryColor3s :: GLshort -> GLshort -> GLshort -> IO ()

glSecondaryColor3i :: GLint -> GLint -> GLint -> IO ()

glSecondaryColor3f :: GLfloat -> GLfloat -> GLfloat -> IO ()

glSecondaryColor3d :: GLdouble -> GLdouble -> GLdouble -> IO ()

glSecondaryColor3ub :: GLubyte -> GLubyte -> GLubyte -> IO ()

glSecondaryColor3us :: GLushort -> GLushort -> GLushort -> IO ()

glSecondaryColor3ui :: GLuint -> GLuint -> GLuint -> IO ()

glSecondaryColor3bv :: Ptr GLbyte -> IO ()

glSecondaryColor3sv :: Ptr GLshort -> IO ()

glSecondaryColor3iv :: Ptr GLint -> IO ()

glSecondaryColor3fv :: Ptr GLfloat -> IO ()

glSecondaryColor3dv :: Ptr GLdouble -> IO ()

glSecondaryColor3ubv :: Ptr GLubyte -> IO ()

glSecondaryColor3usv :: Ptr GLushort -> IO ()

glSecondaryColor3uiv :: Ptr GLuint -> IO ()

glSecondaryColorPointer :: GLint -> GLenum -> GLsizei -> Ptr a -> IO ()

# Tokens

gl_COLOR_SUM :: GLenum

gl_CURRENT_SECONDARY_COLOR :: GLenum

gl_SECONDARY_COLOR_ARRAY_SIZE :: GLenum

gl_SECONDARY_COLOR_ARRAY_TYPE :: GLenum

gl_SECONDARY_COLOR_ARRAY_STRIDE :: GLenum

gl_SECONDARY_COLOR_ARRAY_POINTER :: GLenum

gl_SECONDARY_COLOR_ARRAY :: GLenum